package com.mortals.xhx.module.task.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:TaskFinish
* date: 2021-8-9 9:22:48
*/
public class TaskFinishQuery extends TaskFinishEntity{
    private static final long serialVersionUID = 1628472168034L;
    /** 开始 ID,主键，自增长 */
    private Long idStart;

    /** 结束 ID,主键，自增长 */
    private Long idEnd;

    /** 增加 ID,主键，自增长 */
    private Long idIncrement;

    /** ID,主键，自增长 */
    private List <Long> idList;


    /** 任务编号 */
    private List<String> taskIdList;

    /** 任务节点 */
    private List<String> taskNameList;

    /** 流程编号 */
    private List<String> procInsIdList;

    /** 流程名称 */
    private List<String> procDefNameList;

    /** 流程版本 */
    private List<String> procDefVersionList;

    /** 流程发起人 */
    private List<String> startUserNameList;

    /** 流程发起认部门 */
    private List<String> startDeptNameList;
    /** 开始 接收时间 */
    private String createTimeStart;

    /** 结束 接收时间 */
    private String createTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<TaskFinishQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<TaskFinishQuery> andConditionList;


    public TaskFinishQuery(){
    }

    /**
    * 获取 开始 ID,主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 ID,主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 ID,主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 ID,主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 ID,主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 ID,主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 ID,主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 ID,主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 任务编号
    * @return taskIdList
    */
    public List<String> getTaskIdList(){
        return this.taskIdList;
    }

    /**
    * 设置 任务编号
    * @param taskIdList
    */
    public void setTaskIdList(List<String> taskIdList){
        this.taskIdList = taskIdList;
    }
    /**
    * 获取 任务节点
    * @return taskNameList
    */
    public List<String> getTaskNameList(){
        return this.taskNameList;
    }

    /**
    * 设置 任务节点
    * @param taskNameList
    */
    public void setTaskNameList(List<String> taskNameList){
        this.taskNameList = taskNameList;
    }
    /**
    * 获取 流程编号
    * @return procInsIdList
    */
    public List<String> getProcInsIdList(){
        return this.procInsIdList;
    }

    /**
    * 设置 流程编号
    * @param procInsIdList
    */
    public void setProcInsIdList(List<String> procInsIdList){
        this.procInsIdList = procInsIdList;
    }
    /**
    * 获取 流程名称
    * @return procDefNameList
    */
    public List<String> getProcDefNameList(){
        return this.procDefNameList;
    }

    /**
    * 设置 流程名称
    * @param procDefNameList
    */
    public void setProcDefNameList(List<String> procDefNameList){
        this.procDefNameList = procDefNameList;
    }
    /**
    * 获取 流程版本
    * @return procDefVersionList
    */
    public List<String> getProcDefVersionList(){
        return this.procDefVersionList;
    }

    /**
    * 设置 流程版本
    * @param procDefVersionList
    */
    public void setProcDefVersionList(List<String> procDefVersionList){
        this.procDefVersionList = procDefVersionList;
    }
    /**
    * 获取 流程发起人
    * @return startUserNameList
    */
    public List<String> getStartUserNameList(){
        return this.startUserNameList;
    }

    /**
    * 设置 流程发起人
    * @param startUserNameList
    */
    public void setStartUserNameList(List<String> startUserNameList){
        this.startUserNameList = startUserNameList;
    }
    /**
    * 获取 流程发起认部门
    * @return startDeptNameList
    */
    public List<String> getStartDeptNameList(){
        return this.startDeptNameList;
    }

    /**
    * 设置 流程发起认部门
    * @param startDeptNameList
    */
    public void setStartDeptNameList(List<String> startDeptNameList){
        this.startDeptNameList = startDeptNameList;
    }
    /**
    * 获取 开始 接收时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 接收时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 接收时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 接收时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<TaskFinishQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<TaskFinishQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<TaskFinishQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<TaskFinishQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}